Subject: Re: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: Paul Eggert <[email-masked]>
Date: Thu, 7 Apr 2016 09:26:00 -0700

On 04/07/2016 09:07 AM, Phillip Lord wrote:
> Well, I need to scope this. If the issue is tcsh and bash, then I will
> look at both. I cannot, of course, look at any arbitrary program which
> might be affected.

I think we'd be OK if we work with the "common" shells. But that would 
include zsh, whose current FAQ says the following:

   Probably the most reliable way of dealing with this is to look for
     the environment variable `$EMACS', which is set to `t' in
     Emacs' shell mode.  Putting

       [[ $EMACS = t ]] && unsetopt zle

     in your .zshrc should be sufficient.

So here it's not merely a matter of fixing zsh, it's also fixing all the 
users' .zshrc files that are following this (obsolescent) advice.

So far we've looked at three shells (bash, tcsh, zsh), and found 
compatibility issues with all three. This is not a good sign.